Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Yes, I know FC5 is old but its what we have here. I'm running

%./configure --with-mysql=/usr/include/mysql 
--with-apxs2=/usr/local/apache2/bin/apxs --with-zlib=/usr 
--with-magickwand=/usr/local/bin --enable-track-vars=yes --with-curl 
--with-xml=/usr/include/php/ext/xml 
--with-libxml-dir=/usr/include/php/ext/libxml --with-ldap=/usr  --with-gettext 
--with-gd  --with-jpeg-dir=/usr/lib --with-png-dir=/usr/lib --enable-ftp 
--with-openssl=/usr
...
%make

and I get:

%ext/gd/.libs/gd.o: In function `_php_image_bw_convert':/usr/local/src/php-5.2.5/ext/gd/gd.c:4854: undefined reference to `gdImageCreate'

:/usr/local/src/php-5.2.5/ext/gd/gd.c:4860: undefined reference to `gdImageColorAllocate' .....

Why is this failing like this? Is FC5 simply too old? Thanks in advance!

share|improve this question

1 Answer 1

up vote 1 down vote accepted

Check if gd-devel or libgd-devel is installed on the system.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.